package org.apache.commons.lang3.concurrent;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Objects;
import org.apache.commons.lang3.concurrent.ConcurrentException;
import org.apache.commons.lang3.concurrent.ConcurrentInitializer;

public class ConstantInitializer<T> implements ConcurrentInitializer<T> {
  private static final String FMT_TO_STRING = "ConstantInitializer@%d [ object = %s ]";
  
  private final T object;
  
  public ConstantInitializer(T obj) {
    this.object = obj;
  }
  
  public final T getObject() {
    return this.object;
  }
  
  public T get() throws ConcurrentException {
    return getObject();
  }
  
  public int hashCode() {
    return (getObject() != null) ? getObject().hashCode() : 0;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (!(obj instanceof org.apache.commons.lang3.concurrent.ConstantInitializer))
      return false; 
    org.apache.commons.lang3.concurrent.ConstantInitializer<?> c = (org.apache.commons.lang3.concurrent.ConstantInitializer)obj;
    return Objects.equals(getObject(), c.getObject());
  }
  
  public String toString() {
    return String.format("ConstantInitializer@%d [ object = %s ]", new Object[] { Integer.valueOf(System.identityHashCode(this)), 
          String.valueOf(getObject()) });
  }
}
